package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundMarketIndexes;
import com.tanpu.fund.entity.generator.FundMarketIndexesExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundMarketIndexesMapper {
    long countByExample(FundMarketIndexesExample example);

    int deleteByExample(FundMarketIndexesExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundMarketIndexes record);

    int insertOrUpdate(FundMarketIndexes record);

    int insertOrUpdateSelective(FundMarketIndexes record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundMarketIndexes record);

    List<FundMarketIndexes> selectByExample(FundMarketIndexesExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundMarketIndexes selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundMarketIndexes record, @Param("example") FundMarketIndexesExample example);

    int updateByExample(@Param("record") FundMarketIndexes record, @Param("example") FundMarketIndexesExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundMarketIndexes record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundMarketIndexes record);

    int updateBatch(List<FundMarketIndexes> list);

    int batchInsert(@Param("list") List<FundMarketIndexes> list);
}