package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IndexesProfile;
import com.tanpu.fund.entity.generator.IndexesProfileExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface IndexesProfileMapper {
    long countByExample(IndexesProfileExample example);

    int deleteByExample(IndexesProfileExample example);

    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(IndexesProfile record);

    int insertOrUpdate(IndexesProfile record);

    int insertOrUpdateSelective(IndexesProfile record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(IndexesProfile record);

    List<IndexesProfile> selectByExample(IndexesProfileExample example);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    IndexesProfile selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") IndexesProfile record, @Param("example") IndexesProfileExample example);

    int updateByExample(@Param("record") IndexesProfile record, @Param("example") IndexesProfileExample example);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(IndexesProfile record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(IndexesProfile record);

    int updateBatch(List<IndexesProfile> list);

    int batchInsert(@Param("list") List<IndexesProfile> list);
}